## GDataGDReminder

GDataGDReminder — GData reminder element

## Stability Level

Stable, unless otherwise indicated

## Functions

GDataGDReminder * | gdata_gd_reminder_new ()
const gchar * | gdata_gd_reminder_get_method ()
void | gdata_gd_reminder_set_method ()
gint64 | gdata_gd_reminder_get_absolute_time ()
void | gdata_gd_reminder_set_absolute_time ()
gboolean | gdata_gd_reminder_is_absolute_time ()
gint | gdata_gd_reminder_get_relative_time ()
void | gdata_gd_reminder_set_relative_time ()

## Properties

gint64 | absolute-time | Read / Write
gboolean | is-absolute-time | Read
char * | method | Read / Write
int | relative-time | Read / Write

## Types and Values

#define | GDATA_GD_REMINDER_ALERT
#define | GDATA_GD_REMINDER_EMAIL
#define | GDATA_GD_REMINDER_SMS
| GDataGDReminder
| GDataGDReminderClass

## Object Hierarchy

        GObject
        ╰── GDataParsable
            ╰── GDataGDReminder

## Implemented Interfaces

GDataGDReminder implements GDataComparable.

## Includes

    #include <gdata/gd/gdata-gd-reminder.h>

## Description

GDataGDReminder represents a "reminder" element from the

GData specification.

## Functions

### gdata_gd_reminder_new ()

    GDataGDReminder *
    gdata_gd_reminder_new (const gchar *method,
                           gint64 absolute_time,
                           gint relative_time);

Creates a new GDataGDReminder. More information is available in the GData specification.

#### Parameters

method | the notification method the reminder should use, or `NULL`. | [allow-none]
absolute_time | the absolute time for the reminder, or `-1` |
relative_time | the relative time for the reminder, in minutes, or `-1` |

#### Returns

a new GDataGDReminder, or `NULL`; unref with `g_object_unref()`

Since: 0.2.0

### gdata_gd_reminder_get_method ()

    const gchar *
    gdata_gd_reminder_get_method (GDataGDReminder *self);

Gets the “method” property.

#### Parameters

self | a GDataGDReminder |

#### Returns

the method, or `NULL`

Since: 0.4.0

### gdata_gd_reminder_set_method ()

    void
    gdata_gd_reminder_set_method (GDataGDReminder *self,
                                  const gchar *method);

Sets the “method” property to `method` .

Set `method` to `NULL` to unset the property.

#### Parameters

self | a GDataGDReminder |
method | the new method, or `NULL`. | [allow-none]

Since: 0.4.0

### gdata_gd_reminder_get_absolute_time ()

    gint64
    gdata_gd_reminder_get_absolute_time (GDataGDReminder *self);

Gets the “absolute-time” property. If the property is unset, `-1` will be returned.

#### Parameters

self | a GDataGDReminder |

#### Returns

the UNIX timestamp of the absolute time for the reminder, or `-1`

Since: 0.4.0

### gdata_gd_reminder_set_absolute_time ()

    void
    gdata_gd_reminder_set_absolute_time (GDataGDReminder *self,
                                         gint64 absolute_time);

Sets the “absolute-time” property to `absolute_time` .

Set `absolute_time` to `-1` to unset the property.

#### Parameters

self | a GDataGDReminder |
absolute_time | the new absolute time, or `-1` |

Since: 0.4.0

### gdata_gd_reminder_is_absolute_time ()

    gboolean
    gdata_gd_reminder_is_absolute_time (GDataGDReminder *self);

Returns whether the reminder is specified as an absolute time, or as a number of minutes after the corresponding event's start time.

#### Parameters

self | a GDataGDReminder |

#### Returns

`TRUE` if the reminder is absolute, `FALSE` otherwise

Since: 0.4.0

### gdata_gd_reminder_get_relative_time ()

    gint
    gdata_gd_reminder_get_relative_time (GDataGDReminder *self);

Gets the “relative-time” property.

#### Parameters

self | a GDataGDReminder |

#### Returns

the relative time, or `-1`

Since: 0.4.0

### gdata_gd_reminder_set_relative_time ()

    void
    gdata_gd_reminder_set_relative_time (GDataGDReminder *self,
                                         gint relative_time);

Sets the “relative-time” property to `relative_time` .

Set `relative_time` to `-1` to unset the property.

#### Parameters

self | a GDataGDReminder |
relative_time | the new relative time, or `-1` |

Since: 0.4.0

## Types and Values

### GDATA_GD_REMINDER_ALERT

    #define GDATA_GD_REMINDER_ALERT "alert"

The “method” for an alert to appear in the user's browser.

Since: 0.7.0

### GDATA_GD_REMINDER_EMAIL

    #define GDATA_GD_REMINDER_EMAIL "email"

The “method” for an alert to be sent to the user by e-mail.

Since: 0.7.0

### GDATA_GD_REMINDER_SMS

    #define GDATA_GD_REMINDER_SMS "sms"

The “method” for an alert to be sent to the user by SMS.

Since: 0.7.0

### GDataGDReminder

    typedef struct _GDataGDReminder GDataGDReminder;

All the fields in the GDataGDReminder structure are private and should never be accessed directly.

Since: 0.2.0

### GDataGDReminderClass

    typedef struct {
    } GDataGDReminderClass;

All the fields in the GDataGDReminderClass structure are private and should never be accessed directly.

Since: 0.4.0

## Property Details

### The `“absolute-time”` property

      “absolute-time”            gint64

Absolute time at which the reminder should be issued.

For more information, see the

GData specification.

Owner: GDataGDReminder

Flags: Read / Write

Allowed values: >= -1

Default value: -1

Since: 0.4.0

### The `“is-absolute-time”` property

      “is-absolute-time”         gboolean

Whether the reminder is specified as an absolute or relative time.

For more information, see the

GData specification.

Owner: GDataGDReminder

Flags: Read

Default value: FALSE

Since: 0.4.0

### The `“method”` property

      “method”                   char *

The notification method the reminder should use. For example: `GDATA_GD_REMINDER_ALERT` or `GDATA_GD_REMINDER_EMAIL`.

For more information, see the

GData specification.

Owner: GDataGDReminder

Flags: Read / Write

Default value: NULL

Since: 0.4.0

### The `“relative-time”` property

      “relative-time”            int

Time at which the reminder should be issued, in minutes relative to the start time of the corresponding event.

For more information, see the

GData specification.

Owner: GDataGDReminder

Flags: Read / Write

Allowed values: >= -1

Default value: -1

Since: 0.4.0